低危 Linux kernels SELinux LSM hook 数据伪造问题漏洞

CVE编号

CVE-2020-10751

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-05-27
漏洞描述
在5.7版之前的Linux kernels SELinux LSM hook实现中发现了一个漏洞,错误地认为skb只包含一个netlink消息。钩子将错误地只验证skb中的第一条netlink消息,并允许或拒绝skb中具有已授予权限的其余消息,而无需进一步处理。

解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=fb73974172ffaaf57a7c42f35424d9aece1a5af6
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 kernel selinux * Up to
(excluding)
5.7
运行在以下环境
系统 alibaba_cloud_linux_2.1903 kernel * Up to
(excluding)
4.19.91-21.al7
运行在以下环境
系统 amazon_2 kernel * Up to
(excluding)
4.14.181-140.257.amzn2
运行在以下环境
系统 amazon_AMI kernel * Up to
(excluding)
4.14.181-108.257.amzn1
运行在以下环境
系统 centos_8 linux * Up to
(excluding)
4.18.0-240.el8
运行在以下环境
系统 debian_10 linux * Up to
(excluding)
4.19.118-2+deb10u1
运行在以下环境
系统 debian_8 linux * Up to
(excluding)
3.16.57-1
运行在以下环境
系统 debian_9 linux * Up to
(excluding)
4.9.210-1+deb9u1
运行在以下环境
系统 opensuse_Leap_15.1 linux * Up to
(excluding)
4.12.14-lp151.28.52.1
运行在以下环境
系统 opensuse_Leap_15.2 linux * Up to
(excluding)
5.3.18-lp152.26.2
运行在以下环境
系统 oracle_6 linux * Up to
(excluding)
4.1.12-124.43.4.el6uek
运行在以下环境
系统 oracle_7 kernel * Up to
(excluding)
3.10.0-1160.el7
运行在以下环境
系统 oracle_8 kernel * Up to
(excluding)
4.18.0-240.el8
运行在以下环境
系统 redhat_7 bpftool * Up to
(excluding)
0:3.10.0-1160.el7
运行在以下环境
系统 redhat_8 kernel * Up to
(excluding)
4.18.0-240.el8
运行在以下环境
系统 suse_12 kernel-azure * Up to
(excluding)
4.12.14-16.16
运行在以下环境
系统 suse_12_SP4 linux * Up to
(excluding)
4.12.14-6.43.1
运行在以下环境
系统 suse_12_SP5 linux * Up to
(excluding)
4.12.14-16.16.1
运行在以下环境
系统 ubuntu_14.04 linux * Up to
(excluding)
4.15.0-1089.99~14.04.1
运行在以下环境
系统 ubuntu_16.04 linux * Up to
(excluding)
4.4.0-1109.120
运行在以下环境
系统 ubuntu_16.04.7_lts linux * Up to
(excluding)
4.4.0-184.214
运行在以下环境
系统 ubuntu_18.04 linux * Up to
(excluding)
5.3.0-1030.32~18.04.1
运行在以下环境
系统 ubuntu_18.04.5_lts linux * Up to
(excluding)
4.15.0-106.107
运行在以下环境
系统 ubuntu_20.04 linux * Up to
(excluding)
5.4.0-1015.15
阿里云评分
2.6
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-345 对数据真实性的验证不充分
CWE-349 在可信数据中接受外来的不可信数据
阿里云安全产品覆盖情况